import type { Manifest } from 'webextension-polyfill';
import { version } from '../package.json';

const manifest: () => Manifest.WebExtensionManifest = () => ({
  name: 'Web Annotation Discovery',
  version,
  manifest_version: 2,
  icons: {
    '512': 'assets/icon/icon.svg',
    '256': 'assets/icon/icon256.png',
    '128': 'assets/icon/icon128.png',
    '96': 'assets/icon/icon96.png',
    '48': 'assets/icon/icon48.png',
  },
  browser_action: {
    default_icon: 'assets/icon/icon.svg',
    default_popup: 'popup/index.html',
  },
  background: {
    scripts: ['webextension-polyfill.ts', 'background/index.ts'],
  },
  content_scripts: [
    {
      matches: ['<all_urls>'],
      js: ['content_script/index.tsx'],
      css: ['generated:content_script/style.css'],
    },
  ],
  permissions: [
    'alarms',
    '<all_urls>',
    'contextMenus',
    'notifications',
    'webNavigation',
    'webRequest',
  ],
  browser_specific_settings: {
    gecko: {
      id: 'web-annotation-discovery@extension',
    },
  },
});

export default manifest;
