import { Component, h, Fragment } from 'preact';
import { AnnotationSourcesList } from '../components/AnnotationSourcesList';
import { AnnotationStoreSelector } from './AnnotationStoreSelector';
import classes from './Popup.module.scss';

interface PopupProps {}

interface PopupState {}

export class Popup extends Component<PopupProps, PopupState> {
  state: PopupState = {};

  render({}: PopupProps, {}: PopupState) {
    return (
      <>
        <h1>Web Annotator</h1>
        <h2>Creating annotations</h2>
        <AnnotationStoreSelector />

        <h2>Your annotation library:</h2>
        <AnnotationSourcesList withAnnotations={false} />
        <br />
        <a
          class={classes.button}
          href={browser.runtime.getURL('overview/index.html')}
          target="_blank"
        >
          Show all stored annotations.
        </a>
      </>
    );
  }
}
