import path from 'path';
import { defineConfig } from 'vite';
import webExtension from 'vite-plugin-web-extension';
import manifest from './src/manifest.json';

export default defineConfig({
  root: 'src',
  build: {
    outDir: path.resolve(__dirname, 'dist'),
    emptyOutDir: true,
    minify: false,
    sourcemap: true,
  },
  plugins: [
    webExtension({
      manifest,
      skipManifestValidation: true,
      additionalInputs: [
        'overview/index.html',
      ],
      assets: 'assets',
      browser: 'firefox',
      // browser: 'chrome',
      webExtConfig: {
        startUrl: ['http://example.com/page1', 'about:debugging#/runtime/this-firefox'],
      },
    }),
  ],
});
